Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.util
Class ParserConfigurationSettings

    java.lang.Object
      weblogic.apache.xerces.util.ParserConfigurationSettings

All Implemented Interfaces:
  XMLComponentManager

Direct Known Subclasses:
  BasicParserConfiguration, DOMValidationConfiguration

Deprecated. please use JDK supplied XML parsers and transformers

public class ParserConfigurationSettings
extends Object
implements XMLComponentManager

This class implements the basic operations for managing parser configuration features and properties. This utility class can be used as a base class for parser configurations or separately to encapsulate a number of parser settings as a component manager.

This class can be constructed with a "parent" settings object (in the form of an `XMLComponentManager`) that allows parser configuration settings to be "chained" together.

Field Summary
`protected Hashtable` | `fFeatures` Deprecated. Features.
`protected XMLComponentManager` | `fParentSettings` Deprecated. Parent parser configuration settings.
`protected Hashtable` | `fProperties` Deprecated. Properties.
`protected Vector` | `fRecognizedFeatures` Deprecated. Recognized features.
`protected Vector` | `fRecognizedProperties` Deprecated. Recognized properties.

Constructor Summary
`ParserConfigurationSettings()` Deprecated. Default Constructor.
`ParserConfigurationSettings(XMLComponentManager parent)` Deprecated. Constructs a parser configuration settings object with a parent settings object.

Method Summary
`void` | `addRecognizedFeatures(String[] featureIds)` Deprecated. Allows a parser to add parser specific features to be recognized and managed by the parser configuration.
`void` | `addRecognizedProperties(String[] propertyIds)` Deprecated. Allows a parser to add parser specific properties to be recognized and managed by the parser configuration.
`protected void` | `checkFeature(String featureId)` Deprecated. Check a feature.
`protected void` | `checkProperty(String propertyId)` Deprecated. Check a property.
`boolean` | `getFeature(String featureId)` Deprecated. Returns the state of a feature.
`Object` | `getProperty(String propertyId)` Deprecated. Returns the value of a property.
`void` | `setFeature(String featureId, boolean state)` Deprecated. Set the state of a feature.
`void` | `setProperty(String propertyId, Object value)` Deprecated. setProperty

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fFeatures

    protected Hashtable fFeatures

  Deprecated.
  Features.

### fParentSettings

    protected XMLComponentManager fParentSettings

  Deprecated.
  Parent parser configuration settings.

### fProperties

    protected Hashtable fProperties

  Deprecated.
  Properties.

### fRecognizedFeatures

    protected Vector fRecognizedFeatures

  Deprecated.
  Recognized features.

### fRecognizedProperties

    protected Vector fRecognizedProperties

  Deprecated.
  Recognized properties.

Constructor Detail

### ParserConfigurationSettings

    public ParserConfigurationSettings()

  Deprecated.
  Default Constructor.

### ParserConfigurationSettings

    public ParserConfigurationSettings(XMLComponentManager parent)

  Deprecated.
  Constructs a parser configuration settings object with a parent settings object.

Method Detail

### addRecognizedFeatures

    public void addRecognizedFeatures(String[] featureIds)

  Deprecated.
  Allows a parser to add parser specific features to be recognized and managed by the parser configuration.

  Parameters:
    `featureIds` - An array of the additional feature identifiers to be recognized.

### addRecognizedProperties

    public void addRecognizedProperties(String[] propertyIds)

  Deprecated.
  Allows a parser to add parser specific properties to be recognized and managed by the parser configuration.

  Parameters:
    `propertyIds` - An array of the additional property identifiers to be recognized.

### checkFeature

    protected void checkFeature(String featureId)
                         throws XMLConfigurationException

  Deprecated.
  Check a feature. If feature is known and supported, this method simply returns. Otherwise, the appropriate exception is thrown.

  Parameters:
    `featureId` - The unique identifier (URI) of the feature.
  Throws:
    `XMLConfigurationException` - If the requested feature is not known.

### checkProperty

    protected void checkProperty(String propertyId)
                          throws XMLConfigurationException

  Deprecated.
  Check a property. If the property is known and supported, this method simply returns. Otherwise, the appropriate exception is thrown.

  Parameters:
    `propertyId` - The unique identifier (URI) of the property being set.
  Throws:
    `XMLConfigurationException` - If the requested feature is not known.

### getFeature

    public boolean getFeature(String featureId)
                       throws XMLConfigurationException

  Deprecated.
  Returns the state of a feature.

  Specified by:
    `getFeature` in interface `XMLComponentManager`
  Parameters:
    `featureId` - The feature identifier.
  Returns:
    true if the feature is supported
  Throws:
    `XMLConfigurationException` - Thrown for configuration error. In general, components should only throw this exception if it is really a critical error.

### getProperty

    public Object getProperty(String propertyId)
                       throws XMLConfigurationException

  Deprecated.
  Returns the value of a property.

  Specified by:
    `getProperty` in interface `XMLComponentManager`
  Parameters:
    `propertyId` - The property identifier.
  Returns:
    the value of the property
  Throws:
    `XMLConfigurationException` - Thrown for configuration error. In general, components should only throw this exception if it is really a critical error.

### setFeature

    public void setFeature(String featureId,
                           boolean state)
                    throws XMLConfigurationException

  Deprecated.
  Set the state of a feature. Set the state of any feature in a SAX2 parser. The parser might not recognize the feature, and if it does recognize it, it might not be able to fulfill the request.

  Parameters:
    `featureId` - The unique identifier (URI) of the feature.
    `state` - The requested state of the feature (true or false).
  Throws:
    `XMLConfigurationException` - If the requested feature is not known.

### setProperty

    public void setProperty(String propertyId,
                            Object value)
                     throws XMLConfigurationException

  Deprecated.
  setProperty

  Parameters:
    `propertyId` -
    `value` -
  Throws:
    `XMLConfigurationException` - If the requested feature is not known.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD